# tarfile-ops-nt.cc File Reference

## Detailed Description

Non-thread safe operation functions for a libtar-compatible zlib compression interface.

Definition in file tarfile-ops-nt.cc.

`#include "tarfile.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <zlib.h>`
`#include <assert.h>`

Include dependency graph for tarfile-ops-nt.cc:

Go to the source code of this file.

## Namespaces

namespace | reuse
namespace | reuse::gztar_nonthread

## Variables

tartype_t | reuse::gztar_ops_nonthread
| Compression op set for zlib, non-threadsafe.